
QGIS Application - Bug report #1120

k parameter always set to 0

2008-06-01 07:50 AM - Maciej Sieczka -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Projection Support

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11180

Description

1. load any shapefile

2. file > properties > change SRS

3. choose any SRS with k!=0 (eg. EPSG 2172, 2180)

4. apply, ok

5. enter properties again - see the k parameter is set to 0!

Same happens if the SRS with a k!=0 is assigned automatically at the layer's load time.

Associated revisions

Revision 3e3d1608 - 2008-06-04 11:22 PM - Jürgen Fischer

call OSRImportFromProj4() in locale "C" (fixes #1120)

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@8592 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 2b3bb91e - 2008-06-04 11:22 PM - Jürgen Fischer

call OSRImportFromProj4() in locale "C" (fixes #1120)

git-svn-id: http://svn.osgeo.org/qgis/trunk@8592 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2008-06-02 07:06 AM - Maciej Sieczka -

Notice: the issue takes place only in pl_PL.UTF-8. QGIS started from a terminal after "export LC_ALL=C" does not have this problem.

Probably the bug is down to , vs . as a decimal separator - pl_PL.UTF-8 uses comma.

#2 - 2008-06-04 02:23 PM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed
http://svn.osgeo.org/qgis/trunk/qgis@8592
http://svn.osgeo.org/qgis/trunk@8592


should be fixed in commit:2b3bb91e (SVN r8593)

#3 - 2009-08-22 12:54 AM - Anonymous

Milestone Version 0.9.2 deleted
